Summary: Writes audio CD-Rs in disk-at-once (DAO) mode.
Name: cdrdao
Version: 1.1.4
Release: 4
Copyright: GPL
Group: Applications/System
URL: http://www.ping.de/sites/daneb/cdrdao.html
Source0: ftp://cdrdao.sourceforge.net/pub/cdrdao/cdrdao-%{version}.src.tar.gz
Source1: xcdrdao.desktop
Patch0: bigendian.patch
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: pccts >= 1.33mr22
Excludearch: ia64

%description
Cdrdao records audio CD-Rs in disk-at-once (DAO) mode, based on a
textual description of the CD contents.  Recording in DAO mode writes
the complete disc (lead-in, one or more tracks, and lead-out) in a
single step.  DAO allows full control over the length and the contents
of pre-gaps, the pause areas between tracks.

%prep
%setup -q
%patch0 -p1 -b .tim

%build
%configure  --with-pcctsbin=%{_bindir} \
            --with-pcctsinc=%{_includedir}/pccts

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/System

install -m 0644 $RPM_SOURCE_DIR/xcdrdao.desktop\
	$RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/System

%makeinstall CDRDAO_DATA_DIR=$RPM_BUILD_ROOT%{_datadir}/cdrdao

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc testtocs COPYING INSTALL README cdrdao.lsm
%{_bindir}/*
%{_mandir}/*/*
%{_datadir}/cdrdao
%{_sysconfdir}/X11/applnk/System/xcdrdao.desktop

%changelog
* Fri Feb  2 2001 Tim Powers <timp@redhat.com>
- remove dependancy on gtk--

* Wed Jan 10 2001 Tim Powers <timp@redhat.com>
- exclude ia64

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt ro fix bad dir perms

* Thu Nov  2 2000 Tim Powers <timp@redhat.com>
- update to 1.1.4

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jun 5 2000 Tim Powers <timp@redhat.com>
- man pages in correct location
- use %%makeinstall

* Mon May 8 2000 Tim Powers <timp@redhat.com>
- use applnk for dirs
- use %configure
- remove redundant defines
- rebuilt for 7.0

* Tue Nov 2 1999 Tim Powers <timp@redhat.com>
- updated to 1.1.3
- we now have xcdrdao
- added gnome menu stuff

* Fri Aug 21 1999 Tim Powers <timp@redhat.com>
- removed wmconfig stuff. Nosuch file names xcdrdao

* Wed Aug 18 1999 Dale Lovelace <dale@redhat.com>
- add cdrdao.wmconfig

* Sat Jul 10 1999 Tim Powers <timp@redhat.com>
- updated to 1.1.1 
- built for 6.1

* Mon May 10 1999 Cristian Gafton <gafton@redhat.com>
- gtk-- does not wokr on the alpha, so we have no xcdrdao for it.
- cheesy workaround for the broken tar archive

* Tue Apr 13 1999 Michael Maher <mike@redhat.com>
- built package 
